#!/bin/sh
# test we are root
if [ "$(id -u)" != "0" ]; then
   echo "run as root now exitting"
   exit 1
fi

CFLAGS="-march=i486 -mtune=i686 -Os -pipe   " 
CXXFLAGS="-march=i486 -mtune=i686 -Os -pipe -fno-exceptions -fno-rtti  "
echo $CFLAGS && echo $CXXFLAGS

P=lxappearance
V=0.6.3
SRC=$P-$V
USER=`cat /etc/sysconfig/tcuser`
LIST="compiletc squashfs-tools wget gtk2-dev intltool adwaita-icon-theme "
for Z in $LIST
    do 
    su -c "tce-load -i $Z" $USER
done

# list may be larger than loaded
cd /usr/local/lib
rm -rf *.la
rm -rf gcc/i486-pc-linux-gnu/12.2.0/plugin/libcp1plugin.la
rm -rf gcc/i486-pc-linux-gnu/12.2.0/plugin/libcc1plugin.la
rm -rf gcc/i486-pc-linux-gnu/12.2.0/liblto_plugin.la
cd /tmp
rm -rf /usr/lib/*.la
find / -name *.la

su -c "/usr/local/bin/wget -nc --no-check-certificate \
https://downloads.sourceforge.net/lxde/$SRC.tar.xz "  $USER
tar xvf $SRC*xz
cd $SRC
./configure --prefix=/usr/local 
# Enable debug         no
# Enable Dbus support  no
# Prefix               /usr/local
make -j4 # seconds
make install-strip DESTDIR=/tmp/$P 
cd /tmp

# no dev nor doc
#########
rm -rf $P/usr/local/include
rm -rf $P/usr/local/lib
rm -rf $P/usr/local/share/man

# locale
######
mkdir -p $P-locale/usr/local/share
mv $P/usr/local/share/locale $P-locale/usr/local/share

# main
#######
mkdir -p $P/usr/local/share/doc/$P
# not GPL v3
echo 'GPL v2' > $P/usr/local/share/doc/$P/COPYING

mkdir -p $P/usr/local/share/pixmaps
PNG1=/usr/local/share/icons/Adwaita/48x48/apps/preferences-desktop-theme.png 
cp $PNG1 $P/usr/local/share/pixmaps/$P.png
echo 'X-FullPathIcon=/usr/local/share/pixmaps/lxappearance.png' >> $P/usr/local/share/applications/$P.desktop
sed 's|Customize Look and Feel|lxappearance|' -i $P/usr/local/share/applications/$P.desktop
sed 's|GTK;Settings;DesktopSettings;X-LXDE-Settings;|Settings;System;|' -i $P/usr/local/share/applications/$P.desktop
sed 's|NotShowIn=GNOME;KDE;XFCE;MATE;||' -i $P/usr/local/share/applications/$P.desktop
sed 's|preferences-desktop-theme|lxappearance|' -i $P/usr/local/share/applications/$P.desktop


# TCZ them
###########
LIST2="$P $P-locale "
for Z in $LIST2
do
	mksquashfs $Z $Z.tcz
	md5sum $Z.tcz > $Z.tcz.md5.txt
	cd $Z
	find usr -not -type d > /tmp/$Z.tcz.list
        sed 's|usr|/usr|g' -i /tmp/$Z.tcz.list
	cd /tmp
done

ls -hal

echo 'Title:          lxappearance-locale.tcz
Description:    language files
Version:        0.6.3
Author:         Hong Jen Yee, Ying-Chun Liu & Martin Bagge
Original-site:  https://sourceforge.net/projects/lxde/files/LXAppearance/
Copying-policy: GPL v 2
Size:           136K
Extension_by:   aus9
Tags:           locale theme 
Comments:       untested by me
                
Change-log:     2023/08/28 v 0.6.3 on 14x
Current:        2023/08/28          ' > $P-locale.tcz.info
echo 'lxappearance.tcz' > $P-locale.tcz.dep

echo 'Title:          lxappearance.tcz
Description:    GTK2 theme switcher for GTK+
Version:        0.6.3
Author:         Hong Jen Yee, Ying-Chun Liu & Martin Bagge
Original-site:  https://sourceforge.net/projects/lxde/files/LXAppearance/
Copying-policy: GPL v 2
Size:           44K
Extension_by:   aus9
Tags:           theme switcher gtk2
Comments:       Mainly affects icons, mouse & fonts settings or themes 
                affects gtk2 -> $HOME/.gtkrc-2.0
                affects gtk3 -> $HOME/.config/gtk-3.0/settings.ini 
                
Change-log:     2013/11/02 v 0.5.3 on 5.x (bmarkus)
Current:        2023/08/28 v 0.6.3 on 14x (aus9)' > $P.tcz.info

readelf -d $P/usr/local/bin/$P | grep 'NEEDED'
#[libgtk-x11-2.0.so.0][libgdk-x11-2.0.so.0]gtk2
#[libpangocairo-1.0.so.0][libpangoft2-1.0.so.0][libpango-1.0.so.0]pango gtk2
#[libatk-1.0.so.0]atk gtk2
#[libcairo.so.2]cairo pango gtk2
#[libgdk_pixbuf-2.0.so.0]gdk-pixbuf2 gtk2
#[libgio-2.0.so.0][libgobject-2.0.so.0][libgthread-2.0.so.0][libglib-2.0.so.0][libgmodule-2.0.so.0]glib2 atk gtk2
#[libharfbuzz.so.0]harfbuzz pango gtk2
#[libfontconfig.so.1]fontconfig cairo -> gtk2
#[libfreetype.so.6]freetype "
#[libX11.so.6]libX11

echo 'gtk2.tcz
libX11.tcz
adwaita-icon-theme.tcz
shared-mime-info.tcz      ' > $P.tcz.dep





